--TEST--
DateTime: positive ms
--DESCRIPTION--
Generated by scripts/convert-bson-corpus-tests.php

DO NOT EDIT THIS FILE
--FILE--
<?php

require_once __DIR__ . '/../utils/basic.inc';

$canonicalBson = hex2bin('10000000096100C5D8D6CC3B01000000');
$canonicalExtJson = '{"a" : {"$date" : {"$numberLong" : "1356351330501"}}}';
$relaxedExtJson = '{"a" : {"$date" : "2012-12-24T12:15:30.501Z"}}';

// Canonical BSON -> BSON object -> Canonical BSON
echo bin2hex((string) MongoDB\BSON\Document::fromBSON($canonicalBson)), "\n";

// Canonical BSON -> BSON object -> Canonical extJSON
echo json_canonicalize(MongoDB\BSON\Document::fromBSON($canonicalBson)->toCanonicalExtendedJSON()), "\n";

// Canonical BSON -> BSON object -> Relaxed extJSON
echo json_canonicalize(MongoDB\BSON\Document::fromBSON($canonicalBson)->toRelaxedExtendedJSON()), "\n";

// Canonical extJSON -> BSON object -> Canonical BSON
echo bin2hex((string) MongoDB\BSON\Document::fromJSON($canonicalExtJson)), "\n";

// Relaxed extJSON -> BSON object -> Relaxed extJSON
echo json_canonicalize(MongoDB\BSON\Document::fromJSON($relaxedExtJson)->toRelaxedExtendedJSON()), "\n";

?>
===DONE===
<?php exit(0); ?>
--EXPECT--
10000000096100c5d8d6cc3b01000000
{"a":{"$date":{"$numberLong":"1356351330501"}}}
{"a":{"$date":"2012-12-24T12:15:30.501Z"}}
10000000096100c5d8d6cc3b01000000
{"a":{"$date":"2012-12-24T12:15:30.501Z"}}
===DONE===